package org.cmh.backend.authentication.repository;

import org.cmh.backend.authentication.model.UserHS;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface UserRepository extends JpaRepository<UserHS, Long> {
    UserHS findByUsername(String username);

    boolean deleteByUsername(String username);

    List<UserHS> findByTenant(String tenant);
}
